filename: test_stories.rn
report_generators:
  junit:
    filename: reports/junit.xml
  markdown:
    directory: reports/md
stories:
  - name: "Test success"
    function: test_success
  - name: "Disabled test"
    function: no_function
    enabled: false
  - name: "Test failure"
    function: test_failure
    expect_failure: true
    messages:
      - line: 5
        filename: test_stories.rn
        content: "This test has failed."
        severity: error
  - name: "Test run command"
    function: test_run_command
  - name: "Test failure on missing command"
    function: test_fail_run_command
    expect_failure: true
    messages:
      - line: 23
        filename: test_stories.rn
        content: "Failure to start command 'executable-does-not-exist'."
        severity: error
  - name: "Test run command: check output"
    function: test_run_command_check_output
  - name: "Test run command: check output"
    function: test_run_command_check_output_failure
    expect_failure: true
    messages:
      - line: 33
        filename: test_stories.rn
        content: "Command '.*/stories-test' started at 'test_stories.rn:13' did not output 'world'."
        severity: error
